Bug 3299 - Cog security implementation does not support the extended key usage extension
: Cog security implementation does not support the extended key usage extension
Status: NEW
: CoG jglobus
security
: unspecified
: All All
: P3 enhancement
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-05-05 13:31 by
Modified: 2007-09-12 16:40 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-05 13:31:14
Some user seem to have been hitting this problem:

2005-04-25 15:19:23,761 ERROR container.GSIServiceThread
[Thread-7,process:117] Error processing request
Authentication failed
. Caused by
Defective credential detected
. Caused by
org.globus.gsi.proxy.ProxyPathValidatorException: Unsuppored critical
exception : 2.5.29.37
        at
org.globus.gsi.proxy.ProxyPathValidator.checkUnsupportedCriticalExtensions(ProxyPathValidator.java:
699)
        at
org.globus.gsi.proxy.ProxyPathValidator.validate(ProxyPathValidator.java:363)
        at
org.globus.gsi.gssapi.GlobusGSSContextImpl$GSSProxyPathValidator.validate
(GlobusGSSContextImpl.java:660)
        at
org.globus.gsi.gssapi.GlobusGSSContextImpl.verifyChain(GlobusGSSContextImpl.java:696)
        at
org.globus.gsi.gssapi.GlobusGSSContextImpl.acceptSecContext(GlobusGSSContextImpl.java:295)
        at
org.globus.gsi.gssapi.net.GssSocket.authenticateServer(GssSocket.java:119)
        at
org.globus.gsi.gssapi.net.GssSocket.startHandshake(GssSocket.java:137)
        at
org.globus.gsi.gssapi.net.GssSocket.getOutputStream(GssSocket.java:155)
        at
org.globus.wsrf.container.GSIServiceThread.process(GSIServiceThread.java:88)
        at
org.globus.wsrf.container.ServiceThread.run(ServiceThread.java:281)

It would be nice if we could eventually add support for this.

/Sam
------- Comment #1 From 2007-09-12 16:40:10 -------
Reassigning to current cog developer to close/fix as appropriate